/*: TAVL_GDT.C	TAVL Tree library    Version 3.01   6-feb-93
 *: Prototype:	void *tavl_getdata(TAVL_treeptr, TAVL_nodeptr, void *buffer)
 *: Purpose:	Copy data from existing node to buffer.  Uses user-defined
 *:		function tree->copy_item()
 *: Returns:	pointer to buffer
 *
 *  Released to the PUBLIC DOMAIN
 *
 *		 author:    Bert C. Hughes
 *			    200 N.Saratoga
 *			    St.Paul, MN 55104
 *			    Compuserve 71211,577
 */

#include "tavltree.h"

void *tavl_getdata(TAVL_treeptr tree, TAVL_nodeptr p, void *buffer)
{
    return (*tree->copy_item)(buffer, p->dataptr);
}
